Opengram

Append a streaming chunk

POST
/api/v1/messages/{messageId}/chunks

Authorization

bearerAuth
AuthorizationBearer <token>

Instance secret token

In: header

Path Parameters

messageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

deltaText*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/messages/msg_123/chunks" \  -H "Content-Type: application/json" \  -d '{    "deltaText": "string"  }'
{
  "id": "string",
  "chat_id": "string",
  "role": "user",
  "sender_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "content_final": "string",
  "content_partial": "string",
  "stream_state": "none",
  "model_id": "string",
  "trace": {
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}